using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class UserMstInsert : DataAccessBase
	{
		public UserMstInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[UserMstInsert]");
			ConfigParameter();
		}

		private SqlParameter paramUserID;
		public System.Int32 UserID
		{
			get
			{
				return (System.Int32)paramUserID.Value;
			}
			set
			{
				paramUserID.Value = value;
			}
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramCompanyID;
		public System.Int32 CompanyID
		{
			get
			{
				return (System.Int32)paramCompanyID.Value;
			}
			set
			{
				paramCompanyID.Value = value;
			}
		}

		private SqlParameter paramUserName;
		public System.String UserName
		{
			get
			{
				return (System.String)paramUserName.Value;
			}
			set
			{
				paramUserName.Value = value;
			}
		}

		private SqlParameter paramPassword;
		public System.String Password
		{
			get
			{
				return (System.String)paramPassword.Value;
			}
			set
			{
				paramPassword.Value = value;
			}
		}

		private SqlParameter paramEMail;
		public System.String EMail
		{
			get
			{
				return (System.String)paramEMail.Value;
			}
			set
			{
				paramEMail.Value = value;
			}
		}

		private SqlParameter paramTele;
		public System.String Tele
		{
			get
			{
				return (System.String)paramTele.Value;
			}
			set
			{
				paramTele.Value = value;
			}
		}

		private SqlParameter paramTrueName;
		public System.String TrueName
		{
			get
			{
				return (System.String)paramTrueName.Value;
			}
			set
			{
				paramTrueName.Value = value;
			}
		}

		private SqlParameter paramMemo;
		public System.String Memo
		{
			get
			{
				return (System.String)paramMemo.Value;
			}
			set
			{
				paramMemo.Value = value;
			}
		}

		private SqlParameter paramVisitation;
		public System.Int32 Visitation
		{
			get
			{
				return (System.Int32)paramVisitation.Value;
			}
			set
			{
				paramVisitation.Value = value;
			}
		}

		private SqlParameter paramLastLoginTime;
		public System.DateTime LastLoginTime
		{
			get
			{
				return (System.DateTime)paramLastLoginTime.Value;
			}
			set
			{
				paramLastLoginTime.Value = value;
			}
		}

		private SqlParameter paramSystemFlag;
		public System.Int64 SystemFlag
		{
			get
			{
				return (System.Int64)paramSystemFlag.Value;
			}
			set
			{
				paramSystemFlag.Value = value;
			}
		}

		private SqlParameter paramAdminFlag;
		public System.Int16 AdminFlag
		{
			get
			{
				return (System.Int16)paramAdminFlag.Value;
			}
			set
			{
				paramAdminFlag.Value = value;
			}
		}

		private SqlParameter paramStatus;
		public System.Int16 Status
		{
			get
			{
				return (System.Int16)paramStatus.Value;
			}
			set
			{
				paramStatus.Value = value;
			}
		}

		private SqlParameter paramQuestion1;
		public System.String Question1
		{
			get
			{
				return (System.String)paramQuestion1.Value;
			}
			set
			{
				paramQuestion1.Value = value;
			}
		}

		private SqlParameter paramAnswer;
		public System.String Answer
		{
			get
			{
				return (System.String)paramAnswer.Value;
			}
			set
			{
				paramAnswer.Value = value;
			}
		}

		private SqlParameter paramQuestion2;
		public System.String Question2
		{
			get
			{
				return (System.String)paramQuestion2.Value;
			}
			set
			{
				paramQuestion2.Value = value;
			}
		}

		private SqlParameter paramAnswer2;
		public System.String Answer2
		{
			get
			{
				return (System.String)paramAnswer2.Value;
			}
			set
			{
				paramAnswer2.Value = value;
			}
		}

		private SqlParameter paramQuestion3;
		public System.String Question3
		{
			get
			{
				return (System.String)paramQuestion3.Value;
			}
			set
			{
				paramQuestion3.Value = value;
			}
		}

		private SqlParameter paramAnswer3;
		public System.String Answer3
		{
			get
			{
				return (System.String)paramAnswer3.Value;
			}
			set
			{
				paramAnswer3.Value = value;
			}
		}

		private SqlParameter paramQuestion4;
		public System.String Question4
		{
			get
			{
				return (System.String)paramQuestion4.Value;
			}
			set
			{
				paramQuestion4.Value = value;
			}
		}

		private SqlParameter paramAnswer4;
		public System.String Answer4
		{
			get
			{
				return (System.String)paramAnswer4.Value;
			}
			set
			{
				paramAnswer4.Value = value;
			}
		}

		private SqlParameter paramCreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return (System.DateTime)paramCreateTime.Value;
			}
			set
			{
				paramCreateTime.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return (System.Int32)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return (System.DateTime)paramUpdateTime.Value;
			}
			set
			{
				paramUpdateTime.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return (System.Int32)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUserGrade;
		public System.Int16 UserGrade
		{
			get
			{
				return (System.Int16)paramUserGrade.Value;
			}
			set
			{
				paramUserGrade.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramUserID = new SqlParameter();
			paramUserID.ParameterName = "@UserID";
			paramUserID.SqlDbType = SqlDbType.Int;
			paramUserID.Precision = 10;
			paramUserID.Scale = 0;
			paramUserID.Direction = ParameterDirection.InputOutput;
			paramUserID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserID);
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramCompanyID = new SqlParameter();
			paramCompanyID.ParameterName = "@CompanyID";
			paramCompanyID.SqlDbType = SqlDbType.Int;
			paramCompanyID.Precision = 10;
			paramCompanyID.Scale = 0;
			paramCompanyID.Direction = ParameterDirection.Input;
			paramCompanyID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCompanyID);
			//--------------------------------------------------------
			paramUserName = new SqlParameter();
			paramUserName.ParameterName = "@UserName";
			paramUserName.SqlDbType = SqlDbType.VarChar;
			paramUserName.Size = 50;
			paramUserName.Direction = ParameterDirection.Input;
			paramUserName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserName);
			//--------------------------------------------------------
			paramPassword = new SqlParameter();
			paramPassword.ParameterName = "@Password";
			paramPassword.SqlDbType = SqlDbType.VarChar;
			paramPassword.Size = 50;
			paramPassword.Direction = ParameterDirection.Input;
			paramPassword.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramPassword);
			//--------------------------------------------------------
			paramEMail = new SqlParameter();
			paramEMail.ParameterName = "@EMail";
			paramEMail.SqlDbType = SqlDbType.VarChar;
			paramEMail.Size = 100;
			paramEMail.Direction = ParameterDirection.Input;
			paramEMail.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEMail);
			//--------------------------------------------------------
			paramTele = new SqlParameter();
			paramTele.ParameterName = "@Tele";
			paramTele.SqlDbType = SqlDbType.VarChar;
			paramTele.Size = 50;
			paramTele.Direction = ParameterDirection.Input;
			paramTele.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTele);
			//--------------------------------------------------------
			paramTrueName = new SqlParameter();
			paramTrueName.ParameterName = "@TrueName";
			paramTrueName.SqlDbType = SqlDbType.VarChar;
			paramTrueName.Size = 50;
			paramTrueName.Direction = ParameterDirection.Input;
			paramTrueName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTrueName);
			//--------------------------------------------------------
			paramMemo = new SqlParameter();
			paramMemo.ParameterName = "@Memo";
			paramMemo.SqlDbType = SqlDbType.VarChar;
			paramMemo.Size = 1000;
			paramMemo.Direction = ParameterDirection.Input;
			paramMemo.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramMemo);
			//--------------------------------------------------------
			paramVisitation = new SqlParameter();
			paramVisitation.ParameterName = "@Visitation";
			paramVisitation.SqlDbType = SqlDbType.Int;
			paramVisitation.Precision = 10;
			paramVisitation.Scale = 0;
			paramVisitation.Direction = ParameterDirection.Input;
			paramVisitation.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramVisitation);
			//--------------------------------------------------------
			paramLastLoginTime = new SqlParameter();
			paramLastLoginTime.ParameterName = "@LastLoginTime";
			paramLastLoginTime.SqlDbType = SqlDbType.DateTime;
			paramLastLoginTime.Size = 16;
			paramLastLoginTime.Scale = 3;
			paramLastLoginTime.Direction = ParameterDirection.Input;
			paramLastLoginTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLastLoginTime);
			//--------------------------------------------------------
			paramSystemFlag = new SqlParameter();
			paramSystemFlag.ParameterName = "@SystemFlag";
			paramSystemFlag.SqlDbType = SqlDbType.BigInt;
			paramSystemFlag.Size = 8;
			paramSystemFlag.Scale = 0;
			paramSystemFlag.Direction = ParameterDirection.Input;
			paramSystemFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSystemFlag);
			//--------------------------------------------------------
			paramAdminFlag = new SqlParameter();
			paramAdminFlag.ParameterName = "@AdminFlag";
			paramAdminFlag.SqlDbType = SqlDbType.SmallInt;
			paramAdminFlag.Precision = 5;
			paramAdminFlag.Scale = 0;
			paramAdminFlag.Direction = ParameterDirection.Input;
			paramAdminFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAdminFlag);
			//--------------------------------------------------------
			paramStatus = new SqlParameter();
			paramStatus.ParameterName = "@Status";
			paramStatus.SqlDbType = SqlDbType.SmallInt;
			paramStatus.Precision = 5;
			paramStatus.Scale = 0;
			paramStatus.Direction = ParameterDirection.Input;
			paramStatus.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramStatus);
			//--------------------------------------------------------
			paramQuestion1 = new SqlParameter();
			paramQuestion1.ParameterName = "@Question1";
			paramQuestion1.SqlDbType = SqlDbType.VarChar;
			paramQuestion1.Size = 50;
			paramQuestion1.Direction = ParameterDirection.Input;
			paramQuestion1.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramQuestion1);
			//--------------------------------------------------------
			paramAnswer = new SqlParameter();
			paramAnswer.ParameterName = "@Answer";
			paramAnswer.SqlDbType = SqlDbType.VarChar;
			paramAnswer.Size = 50;
			paramAnswer.Direction = ParameterDirection.Input;
			paramAnswer.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAnswer);
			//--------------------------------------------------------
			paramQuestion2 = new SqlParameter();
			paramQuestion2.ParameterName = "@Question2";
			paramQuestion2.SqlDbType = SqlDbType.VarChar;
			paramQuestion2.Size = 50;
			paramQuestion2.Direction = ParameterDirection.Input;
			paramQuestion2.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramQuestion2);
			//--------------------------------------------------------
			paramAnswer2 = new SqlParameter();
			paramAnswer2.ParameterName = "@Answer2";
			paramAnswer2.SqlDbType = SqlDbType.VarChar;
			paramAnswer2.Size = 50;
			paramAnswer2.Direction = ParameterDirection.Input;
			paramAnswer2.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAnswer2);
			//--------------------------------------------------------
			paramQuestion3 = new SqlParameter();
			paramQuestion3.ParameterName = "@Question3";
			paramQuestion3.SqlDbType = SqlDbType.VarChar;
			paramQuestion3.Size = 50;
			paramQuestion3.Direction = ParameterDirection.Input;
			paramQuestion3.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramQuestion3);
			//--------------------------------------------------------
			paramAnswer3 = new SqlParameter();
			paramAnswer3.ParameterName = "@Answer3";
			paramAnswer3.SqlDbType = SqlDbType.VarChar;
			paramAnswer3.Size = 50;
			paramAnswer3.Direction = ParameterDirection.Input;
			paramAnswer3.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAnswer3);
			//--------------------------------------------------------
			paramQuestion4 = new SqlParameter();
			paramQuestion4.ParameterName = "@Question4";
			paramQuestion4.SqlDbType = SqlDbType.VarChar;
			paramQuestion4.Size = 50;
			paramQuestion4.Direction = ParameterDirection.Input;
			paramQuestion4.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramQuestion4);
			//--------------------------------------------------------
			paramAnswer4 = new SqlParameter();
			paramAnswer4.ParameterName = "@Answer4";
			paramAnswer4.SqlDbType = SqlDbType.VarChar;
			paramAnswer4.Size = 50;
			paramAnswer4.Direction = ParameterDirection.Input;
			paramAnswer4.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAnswer4);
			//--------------------------------------------------------
			paramCreateTime = new SqlParameter();
			paramCreateTime.ParameterName = "@CreateTime";
			paramCreateTime.SqlDbType = SqlDbType.DateTime;
			paramCreateTime.Size = 16;
			paramCreateTime.Scale = 3;
			paramCreateTime.Direction = ParameterDirection.Input;
			paramCreateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateTime);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.Int;
			paramCreateUser.Precision = 10;
			paramCreateUser.Scale = 0;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateTime = new SqlParameter();
			paramUpdateTime.ParameterName = "@UpdateTime";
			paramUpdateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateTime.Size = 16;
			paramUpdateTime.Scale = 3;
			paramUpdateTime.Direction = ParameterDirection.Input;
			paramUpdateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateTime);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.Int;
			paramUpdateUser.Precision = 10;
			paramUpdateUser.Scale = 0;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUserGrade = new SqlParameter();
			paramUserGrade.ParameterName = "@UserGrade";
			paramUserGrade.SqlDbType = SqlDbType.SmallInt;
			paramUserGrade.Precision = 5;
			paramUserGrade.Scale = 0;
			paramUserGrade.Direction = ParameterDirection.Input;
			paramUserGrade.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserGrade);
		}
	}
}